From 7c5c35a5ceff42dcd64e7a78f63ce2cdfc46d856 Mon Sep 17 00:00:00 2001
From: Peter Eisentraut <peter@eisentraut.org>
Date: Wed, 11 May 2022 09:57:18 +0200
Subject: [PATCH 8/9] meson: Add krb-srvnam option

---
 meson.build       | 2 +-
 meson_options.txt | 3 +++
 2 files changed, 4 insertions(+), 1 deletion(-)

diff --git a/meson.build b/meson.build
index b33a51a35d..8a372282ff 100644
--- a/meson.build
+++ b/meson.build
@@ -245,7 +245,7 @@ cdata.set('XLOG_BLCKSZ', get_option('wal-blocksize') * 1024)
 cdata.set('RELSEG_SIZE', get_option('segsize') * 131072)
 cdata.set('DEF_PGPORT', get_option('pgport'))
 cdata.set_quoted('DEF_PGPORT_STR', get_option('pgport'))
-cdata.set_quoted('PG_KRB_SRVNAM', 'postgres')
+cdata.set_quoted('PG_KRB_SRVNAM', get_option('krb-srvnam'))
 if get_option('system-tzdata') != ''
   cdata.set_quoted('SYSTEMTZDIR', get_option('system-tzdata'))
 endif
diff --git a/meson_options.txt b/meson_options.txt
index 250d758ded..d4a7500306 100644
--- a/meson_options.txt
+++ b/meson_options.txt
@@ -16,6 +16,9 @@ Large tables are divided into multiple operating-system files, each of size equa
 
 # Defaults
 
+option('krb-srvnam', type: 'string', value: 'postgres',
+  description: 'default service principal name in Kerberos (GSSAPI)')
+
 option('pgport', type : 'string', value : '5432',
   description : '''Default port number for server and clients.
 The default is 5432. The port can always be changed later on, but if you specify it here then both server and clients will have the same default compiled in, which can be very convenient. Usually the only good reason to select a non-default value is if you intend to run multiple PostgreSQL servers on the same machine.''')
-- 
2.35.1

